"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.applyReplacement = void 0;
const chalk_1 = __importDefault(require("chalk"));
const line_offsets_1 = require("./line-offsets");
const replacement_1 = require("./replacement");
function applyReplacement(options, replacement, content) {
    const { file, verbose = false } = options;
    const regexp = replacement_1.regexFromReplacement(replacement);
    let replaceCount = 0;
    const result = content.replace(regexp, (match, index) => {
        if (verbose) {
            const lineOffsets = line_offsets_1.computeLineOffsets(content);
            const position = line_offsets_1.findOffset(lineOffsets, index);
            console.log(`${chalk_1.default.cyan(file)}:${position.lineIndex + 1}:${position.columnIndex + 1}: ${chalk_1.default.green(match)} => ${chalk_1.default.yellow(replacement.replace)}`);
        }
        replaceCount += 1;
        return replacement.replace;
    });
    return {
        replaceCount,
        result
    };
}
exports.applyReplacement = applyReplacement;
//# sourceMappingURL=apply-replacement.js.map