"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.findReplaceInFile = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const apply_replacement_1 = require("./apply-replacement");
async function findReplaceInFile(file, replacements, verbose = false) {
    const buffer = await fs_extra_1.default.readFile(file, 'utf-8');
    const contents = buffer.toString();
    const output = replacements.reduce((acc, entry) => {
        const { replaceCount, result } = apply_replacement_1.applyReplacement({
            file,
            verbose
        }, entry, acc.result);
        return {
            result,
            replaceCount: acc.replaceCount + replaceCount
        };
    }, {
        result: contents,
        replaceCount: 0
    });
    await fs_extra_1.default.writeFile(file, output.result);
    return {
        file,
        replaceCount: output.replaceCount
    };
}
exports.findReplaceInFile = findReplaceInFile;
//# sourceMappingURL=find-replace-in-file.js.map